org.keycloak.dom.saml.v2.metadata

## Class AffiliationDescriptorType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes
  - - org.keycloak.dom.saml.v2.metadata.AffiliationDescriptorType

-     public class AffiliationDescriptorType
      extends TypeWithOtherAttributes

  Java class for AffiliationDescriptorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AffiliationDescriptorType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}Extensions" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}AffiliateMember" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}KeyDescriptor" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="affiliationOwnerID" use="required" type="{urn:oasis:names:tc:SAML:2.0:metadata}entityIDType"
       />
             <attribute name="validUntil" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="cacheDuration" type="{http://www.w3.org/2001/XMLSchema}duration" />
             <attribute name="ID" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `affiliateMember`
    `protected String` | `affiliationOwnerID`
    `protected Duration` | `cacheDuration`
    `protected ExtensionsType` | `extensions`
    `protected String` | `id`
    `protected List<KeyDescriptorType>` | `keyDescriptor`
    `protected SignatureType` | `signature`
    `protected XMLGregorianCalendar` | `validUntil`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `otherAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AffiliationDescriptorType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAffiliateMember()` Gets the value of the affiliateMember property.
    `String` | `getAffiliationOwnerID()` Gets the value of the affiliationOwnerID property.
    `Duration` | `getCacheDuration()` Gets the value of the cacheDuration property.
    `ExtensionsType` | `getExtensions()` Gets the value of the extensions property.
    `String` | `getID()` Gets the value of the id property.
    `List<KeyDescriptorType>` | `getKeyDescriptor()` Gets the value of the keyDescriptor property.
    `SignatureType` | `getSignature()` Gets the value of the signature property.
    `XMLGregorianCalendar` | `getValidUntil()` Gets the value of the validUntil property.
    `void` | `setAffiliationOwnerID(String value)` Sets the value of the affiliationOwnerID property.
    `void` | `setCacheDuration(Duration value)` Sets the value of the cacheDuration property.
    `void` | `setExtensions(ExtensionsType value)` Sets the value of the extensions property.
    `void` | `setID(String value)` Sets the value of the id property.
    `void` | `setSignature(SignatureType value)` Sets the value of the signature property.
    `void` | `setValidUntil(XMLGregorianCalendar value)` Sets the value of the validUntil property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `addOtherAttribute, getOtherAttributes, removeOtherAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### signature

          protected SignatureType signature

    - #### extensions

          protected ExtensionsType extensions

    - #### affiliateMember

          protected List<String> affiliateMember

    - #### keyDescriptor

          protected List<KeyDescriptorType> keyDescriptor

    - #### affiliationOwnerID

          protected String affiliationOwnerID

    - #### validUntil

          protected XMLGregorianCalendar validUntil

    - #### cacheDuration

          protected Duration cacheDuration

    - #### id

          protected String id

  - ### Constructor Detail

    - #### AffiliationDescriptorType

          public AffiliationDescriptorType()

  - ### Method Detail

    - #### getSignature

          public SignatureType getSignature()

      Gets the value of the signature property.
      Returns:
        possible object is `SignatureType`

    - #### setSignature

          public void setSignature(SignatureType value)

      Sets the value of the signature property.
      Parameters:
        `value` - allowed object is `SignatureType`

    - #### getExtensions

          public ExtensionsType getExtensions()

      Gets the value of the extensions property.
      Returns:
        possible object is `ExtensionsType`

    - #### setExtensions

          public void setExtensions(ExtensionsType value)

      Sets the value of the extensions property.
      Parameters:
        `value` - allowed object is `ExtensionsType`

    - #### getAffiliateMember

          public List<String> getAffiliateMember()

      Gets the value of the affiliateMember property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the affiliateMember property.

      For example, to add a new item, do as follows:

           getAffiliateMember().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getKeyDescriptor

          public List<KeyDescriptorType> getKeyDescriptor()

      Gets the value of the keyDescriptor property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the keyDescriptor property.

      For example, to add a new item, do as follows:

           getKeyDescriptor().add(newItem);

      Objects of the following type(s) are allowed in the list `KeyDescriptorType`

    - #### getAffiliationOwnerID

          public String getAffiliationOwnerID()

      Gets the value of the affiliationOwnerID property.
      Returns:
        possible object is `String`

    - #### setAffiliationOwnerID

          public void setAffiliationOwnerID(String value)

      Sets the value of the affiliationOwnerID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getValidUntil

          public XMLGregorianCalendar getValidUntil()

      Gets the value of the validUntil property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setValidUntil

          public void setValidUntil(XMLGregorianCalendar value)

      Sets the value of the validUntil property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getCacheDuration

          public Duration getCacheDuration()

      Gets the value of the cacheDuration property.
      Returns:
        possible object is `Duration`

    - #### setCacheDuration

          public void setCacheDuration(Duration value)

      Sets the value of the cacheDuration property.
      Parameters:
        `value` - allowed object is `Duration`

    - #### getID

          public String getID()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setID

          public void setID(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.